### Method

# Gdk Display sync

#### Declaration [src]

    void
    gdk_display_sync (
      GdkDisplay* display
    )

#### Description [src]

Flushes any requests queued for the windowing system and waits until all requests have been handled.

This is often used for making sure that the display is synchronized with the current state of the program. Calling gdk_display_sync() before GdkX11.Display.error_trap_pop makes sure that any errors generated from earlier requests are handled before the error trap is removed.

This is most useful for X11. On windowing systems where requests are handled synchronously, this function will do nothing.